%define anolis_release 2
%define abidir %{_prefix}/lib/compatibility/%{name}
Name:       xkbcomp
Version:    1.4.5
Release:    %{anolis_release}%{?dist}
Summary:    XKB keymap compiler

License:    MIT
URL:        https://www.x.org

Source0:    https://www.x.org/pub/individual/app/xkbcomp-%{version}.tar.bz2

BuildRequires: make gcc
BuildRequires: libxkbfile-devel
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xorg-macros) >= 1.8

Obsoletes:  xorg-x11-xkb-utils < 7.8

%description
X.Org XKB keymap compiler

%package devel
Summary:    XKB keymap compiler development package
Requires:   pkgconfig
Requires:   %{name} = %{version}-%{release}

%description devel
X.Org XKB keymap compiler development files

%prep
%autosetup

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:%{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{abidir}
pushd %{buildroot}/%{abidir}
for dir in %{_sbindir} %{_bindir} ; do
        for f in $(ls %{buildroot}/$dir) ; do
                full_name=%{buildroot}/$dir/$f
                (file $full_name | grep executable > /dev/null 2>&1 && $full_name --help > $f-option.list > /dev/null 2>&1) || echo "ok"
        done
done

%files
%license COPYING
%{_bindir}/xkbcomp
%{abidir}/xkbcomp-option.list
%{_mandir}/man1/xkbcomp.1*

%files devel
%{_libdir}/pkgconfig/xkbcomp.pc

%changelog
* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.5-2
- add api

* Fri Apr 15 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.5-1
- init from upstream
